Bug 247340 - firefox save files with wrong selinux context
firefox save files with wrong selinux context
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
All Linux
high Severity low
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-07-07 05:21 EDT by Frank Büttner
Modified: 2008-01-15 09:40 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-15 09:40:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Frank Büttner 2007-07-07 05:21:51 EDT
Description of problem:
When download files with firefox and storage the files under an directory called
tmp under $HOME of the user(/home/foo/tmp) then files will have the selinux
context user_u:object_r:tmp_t and not user_u:object_r:user_home_t.
So it is not possible to access the files via SMB for example.

Version-Release number of selected component (if applicable):

Steps to Reproduce:
1. create an directory called $HOME/tmp/
2. download some files.
3. ll -Z $HOME/tmp
Actual results:
the files will have the wrong selinux context

Expected results:
the correct selinux context.

Additional info:
Comment 1 Matěj Cepl 2007-12-10 04:25:08 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 2 Matěj Cepl 2008-01-15 09:40:33 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional


{This is mass-closing of all obsolete bugs; if this bug was in your opinion
closed by mistake, please, reopen it with additional information; thanks a lot
and I am sorry for bothering you in such case.}

Note You need to log in before you can comment on or make changes to this bug.